# DataExchange
TKSTEP
StepAP214

# StepAP214_PresentedItemSelect Class Reference

`#include <StepAP214_PresentedItemSelect.hxx>`

Inheritance diagram for StepAP214_PresentedItemSelect:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_PresentedItemSelect ()
| Returns a PresentedItemSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a PresentedItemSelect Kind Entity that is : 1 -> ProductDefinition, 2 -> ProductDefinitionRelationship, 0 else .
Standard_EXPORT Handle_StepBasic_ProductDefinitionRelationship | ProductDefinitionRelationship () const
| returns Value as a ProductDefinitionRelationship (Null if another type)
Standard_EXPORT Handle_StepBasic_ProductDefinition | ProductDefinition () const
| returns Value as a ProductDefinition (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_PresentedItemSelect::StepAP214_PresentedItemSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepAP214_PresentedItemSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepAP214_PresentedItemSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_PresentedItemSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_PresentedItemSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_ProductDefinition StepAP214_PresentedItemSelect::ProductDefinition | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductDefinitionRelationship StepAP214_PresentedItemSelect::ProductDefinitionRelationship | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepAP214_PresentedItemSelect.hxx